use DPI;

DPI::DPIdebug(2);

$h = DPI::DPIconnect_to_agent_TCP("r0124", "public");
$data = "Dies ist ein SNMP-Trap";
$values = DPI::mkDPIset(0, "1.3.6.1.4.1.2.2.1.5.", "2.0", SNMP_TYPE_OCTET_STRING, $data);
$packet = DPI::mkDPItrap(6, 1, $values);
$rc = DPI::DPIsend_packet_to_agent($h, $packet);
DPI::DPIdisconnect_from_agent($h);

exit 0;
